## gnome-packagekit 3.22.1

=== debian/changelog ===
gnome-packagekit (3.22.1-2) unstable; urgency=medium

  * Prefer software-properties-gtk if it is available (Closes: #698336)
    - We can do this now, since s-p-g uses PackageKit.
  * Hide gpk-prefs from the menu
  * Drop update-notifier transitional package
    - It is no longer required, since the package is gone for a
      release already.

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Dec 2016 18:41:41 +0100

gnome-packagekit (3.22.1-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 3.22.1
    - Closes: #829955
    - Closes: #838432
  * Don't build-depend on sp (Closes: #839818)
  * Use autoreconf

  [ Jeremy Bicha ]
  * Drop obsolete --disable-scrollkeeper configure flag
  * Drop obsolete builddeb -Zxz (it's the default now)
  * Update install file for renamed .desktop files
  * Build-depend on autoconf-archive
  * Bump debhelper compat to 10

 -- Matthias Klumpp <mak@debian.org>  Sun, 27 Nov 2016 18:34:12 +0100

gnome-packagekit (3.20.0-1) unstable; urgency=medium

  * New upstream release: 3.20.0
  * Depend on packagekit (Closes: #803420)
  * Mark -data package as Multi-Arch: foreign
  * Use secure Vcs-* URLs
  * Bump standards version: No changes needed
  * Build-depend on sp (Closes: #833530)

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Sep 2016 17:34:40 +0200

=== debian/control ===
Source: gnome-packagekit
Section: gnome
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/gnome-packagekit.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/gnome-packagekit.git
Build-Depends: autoconf-archive,
               debhelper (>= 10),
               dh-autoreconf (>= 4),
               docbook,
               docbook-utils,
               intltool (>= 0.40),
               libcanberra-gtk3-dev,
               libdbus-glib-1-dev (>= 0.74),
               libfontconfig1-dev,
               libglib2.0-dev (>= 2.32),
               libgtk-3-dev (>= 3.16),
               libnotify-dev (>= 0.7),
               libpackagekit-glib2-dev (>= 0.8.16),
               libpolkit-gobject-1-dev,
               libsystemd-dev [linux-any],
               xsltproc
Standards-Version: 3.9.8
Homepage: https://help.gnome.org/users/gnome-packagekit/stable/

Package: gnome-packagekit
Architecture: any
Depends: gnome-packagekit-data (>= ${source:Version}),
         packagekit (>= 1.0.4),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: software-properties-gtk
Replaces: gnome-packagekit-session (<< 3.16.0),
          gnome-software-manager (<< 3.6.0-2)
Breaks: gnome-packagekit-session (<< 3.16.0),
        gnome-software-manager (<< 3.6.0-2),
        update-notifier (<< 3.24)
Provides: update-notifier
Description: Graphical distribution neutral package manager for GNOME
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains a GTK+ based application for package installation
 and removal, an application to view system updates, a simple
 repository editor and PackageKit configuration tool and a viewer for
 package installation history.

Package: gnome-packagekit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data files for GNOME-PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains architecture-independent files for all
 GNOME-PackageKit modules.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

GPK_CONFIGURE_FLAGS = --disable-tests

# Define install and build directory
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(GPK_CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

override_dh_install:
	# we don't ship the gpk-prefs .desktop file, since this tool can be accessed through the main application
	# and we might want to have users use software-properties instead if it is available.
	rm $(INSTALLDIR)/usr/share/applications/gpk-prefs.desktop

	# install files
	dh_install --list-missing

## gnome-packagekit 3.24.0

=== debian/changelog ===
gnome-packagekit (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 16:33:25 -0400

gnome-packagekit (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Drop fix-appstream-dir.patch, applied in new release
  * debian/control:
    - Drop obsolete Build-Depends on dbus-glib

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 11 Mar 2017 15:33:47 -0500

gnome-packagekit (3.23.90-0ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Update 01_prefer-software-properties.patch to also prefer
      update-manager (Closes: #851516)
  * New upstream release
  * debian/control:
    - Drop obsolete Build-Depends on intltool
  * debian/patches/fix-appstream-dir.patch
    - Install appstream metadata to non-deprecated location

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2017 10:15:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-packagekit
 Section: gnome
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
 Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/gnome-packagekit.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/gnome-packagekit.git
 Build-Depends: autoconf-archive,
@@ -9,9 +10,7 @@
                dh-autoreconf (>= 4),
                docbook,
                docbook-utils,
-               intltool (>= 0.40),
                libcanberra-gtk3-dev,
-               libdbus-glib-1-dev (>= 0.74),
                libfontconfig1-dev,
                libglib2.0-dev (>= 2.32),
                libgtk-3-dev (>= 3.16),

## gnome-packagekit 3.25.90

=== debian/changelog ===
gnome-packagekit (3.25.90-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Build with meson
  * Build-depend on xvfb and xauth to run build tests
  * Add fix-appstream-dir.patch:
    - Install appstream metadata to non-deprecated location

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 10 Aug 2017 01:50:42 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,7 @@
 XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
 Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/gnome-packagekit.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/gnome-packagekit.git
-Build-Depends: autoconf-archive,
-               debhelper (>= 10),
-               dh-autoreconf (>= 4),
+Build-Depends: debhelper (>= 10.3),
                docbook,
                docbook-utils,
                libcanberra-gtk3-dev,
@@ -18,7 +16,10 @@
                libpackagekit-glib2-dev (>= 0.8.16),
                libpolkit-gobject-1-dev,
                libsystemd-dev [linux-any],
-               xsltproc
+               meson (>= 0.37),
+               xauth <!nocheck>,
+               xsltproc,
+               xvfb <!nocheck>
 Standards-Version: 3.9.8
 Homepage: https://help.gnome.org/users/gnome-packagekit/stable/

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,17 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-
-GPK_CONFIGURE_FLAGS = --disable-tests
 
 # Define install and build directory
 INSTALLDIR = $(CURDIR)/debian/tmp
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_auto_configure:
-	dh_auto_configure -- $(GPK_CONFIGURE_FLAGS)
+	dh $@ --with autoreconf --buildsystem=meson
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
+
+override_dh_auto_test:
+	xvfb-run -a dh_auto_test
 
 override_dh_install:
 	# we don't ship the gpk-prefs .desktop file, since this tool can be accessed through the main application

## gnome-packagekit 3.26.0

=== meson_options.txt ===
option('enable-tests', type : 'boolean', value : true, description : 'enable tests')
option('enable-small-form-factor', type : 'boolean', value : true, description : 'enable small form factor mode')
option('enable-systemd', type : 'boolean', value : true, description : 'if systemd is used for session tracking')

=== debian/changelog ===
gnome-packagekit (3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Drop fix-appstream-dir.patch: Applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Sep 2017 08:48:53 -0400

gnome-packagekit (3.25.90-0ubuntu2) artful; urgency=medium

  * Fix fix-appstream-dir.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 10 Aug 2017 02:03:54 -0400

## gnome-packagekit 3.28.0

=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('small-form-factor', type : 'boolean', value : true, description : 'enable small form factor mode')
option('systemd', type : 'boolean', value : true, description : 'if systemd is used for session tracking')

=== debian/changelog ===
gnome-packagekit (3.28.0-2) unstable; urgency=medium

  * Update 01_prefer-software-properties.patch to also prefer update-manager
    (Closes: #851516)
  * Drop obsolete Build-Depends
  * Build-depend on xvfb and xauth to run build tests
  * Simplify debian/rules
  * Use appstream-util appdata-to-news to install NEWS
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add myself to Uploaders

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 18:23:02 -0400

gnome-packagekit (3.28.0-1) unstable; urgency=medium

  * New upstream version: 3.28.0
  * Switch to dh compat level 11
  * Update dependencies, drop intltool add meson
  * Don't build with systemd support on non-Linux architectures
  * Don't install orphaned desktop file
  * d/watch, d/copyright: Use HTTPS URLs

 -- Matthias Klumpp <mak@debian.org>  Mon, 12 Mar 2018 22:46:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gnome-packagekit
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
-Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/gnome-packagekit.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/gnome-packagekit.git
-Build-Depends: debhelper (>= 10.3),
+Maintainer: Matthias Klumpp <mak@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
+Vcs-Git: https://salsa.debian.org/pkgutopia-team/gnome-packagekit.git
+Vcs-Browser: https://salsa.debian.org/pkgutopia-team/gnome-packagekit
+Build-Depends: appstream-util,
+               debhelper (>= 11),
                docbook,
                docbook-utils,
                libcanberra-gtk3-dev,
@@ -13,14 +14,14 @@
                libglib2.0-dev (>= 2.32),
                libgtk-3-dev (>= 3.16),
                libnotify-dev (>= 0.7),
-               libpackagekit-glib2-dev (>= 0.8.16),
+               libpackagekit-glib2-dev (>= 1.1.8),
                libpolkit-gobject-1-dev,
                libsystemd-dev [linux-any],
-               meson (>= 0.37),
+               meson,
                xauth <!nocheck>,
                xsltproc,
                xvfb <!nocheck>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://help.gnome.org/users/gnome-packagekit/stable/
 
 Package: gnome-packagekit

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS), linux)
	GPK_CONFIGURE_FLAGS = -Dsystemd=true
else
	GPK_CONFIGURE_FLAGS = -Dsystemd=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(GPK_CONFIGURE_FLAGS)

override_dh_install:
	# we don't ship the gpk-prefs .desktop file, since this tool can be accessed through the main application
	# and we might want to have users use software-properties instead if it is available.
	rm debian/tmp/usr/share/applications/gpk-prefs.desktop

	# this .desktop file refers to a binary that is no longer built, and should probably also be removed upstream
	rm debian/tmp/usr/share/applications/gpk-install-local-file.desktop
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	xvfb-run dh_auto_test

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/gnome-packagekit/usr/share/doc/gnome-packagekit
	appstream-util appdata-to-news $(CURDIR)/*/data/appdata/org.gnome.Packages.appdata.xml \
	> debian/gnome-packagekit/usr/share/doc/gnome-packagekit/NEWS

## gnome-packagekit 3.30.0

=== debian/changelog ===
gnome-packagekit (1:3.30.0-1.lnd.edu3) unstable; urgency=medium

  * Fix Changelogs URI

 -- Ling Yang <lingyang@loongson.cn>  Tue, 23 Aug 2022 18:42:11 +0800

gnome-packagekit (1:3.30.0-1.lnd.edu2) unstable; urgency=medium

  * Download package information immediately after launch

 -- Ling Yang <lingyang@loongson.cn>  Thu, 30 Jun 2022 11:37:45 +0800

gnome-packagekit (1:3.30.0-1.lnd.edu1) unstable; urgency=medium

  * Initialized from upstream release

 -- Ling Yang <lingyang@loongson.cn>  Thu, 30 Jun 2022 09:16:12 +0800

gnome-packagekit (3.30.0-edu1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Tue, 15 Feb 2022 10:20:40 +0800

gnome-packagekit (3.30.0-edu1) unstable; urgency=medium

  * Fixed zh_CN translation of desktop files

 -- Ling Yang <lingyang@loongson.cn>  Wed, 12 May 2021 16:55:55 +0800

gnome-packagekit (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Add COMMITMENT (GPL Common Cure Rights Commitment)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 09:59:51 -0400

## gnome-packagekit 3.32.0

=== debian/changelog ===
gnome-packagekit (3.32.0-3) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Bump standards version (no changes needed)
  * Use appstreamcli to convert metainfo to NEWS
  * Add add-back-logout-support.patch
    - Show logout option for updates that require a session or
      system restart again
  * Add fix-systemd-support.patch:
    - Restore systemd support (needed for reboot / restart / session logic)
  * Add no-NEWEST-filter-on-updates.patch: Don't excessively filter updates
  * Add drop-button_quit-refs.patch: Fix assertion error (Closes: #986365)
  * Add fix-smallscreen-support.patch
    - Only switch to fullscreen on very small screens,
      and not on every screen
  * Add set-critical-updates-icon.patch
    - Add icon for critical updates, fixing unit tests
      (Closes: #1002237, #1010802)

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster

 -- Matthias Klumpp <mak@debian.org>  Fri, 22 Jul 2022 21:12:20 +0200

gnome-packagekit (3.32.0-2) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Upload to unstable
  * Bump dh compat level to 12
  * Bump standards version: No changes needed
  * Mark rules as not requiring root

  [ Helmut Grohne ]
  * Fix build with nocheck profile (Closes: #907371)

 -- Matthias Klumpp <mak@debian.org>  Thu, 20 Feb 2020 22:25:04 +0100

gnome-packagekit (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.46.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Mar 2019 09:56:00 -0500

=== debian/control ===
--- 
+++ 
@@ -5,36 +5,35 @@
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/gnome-packagekit.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/gnome-packagekit
-Build-Depends: appstream-util,
-               debhelper (>= 11),
+Homepage: https://help.gnome.org/users/gnome-packagekit/stable/
+Build-Depends: appstream,
+               debhelper-compat (= 13),
                docbook,
                docbook-utils,
                libcanberra-gtk3-dev,
                libfontconfig1-dev,
-               libglib2.0-dev (>= 2.32),
-               libgtk-3-dev (>= 3.16),
-               libnotify-dev (>= 0.7),
-               libpackagekit-glib2-dev (>= 1.1.8),
+               libglib2.0-dev,
+               libgtk-3-dev,
+               libnotify-dev,
+               libpackagekit-glib2-dev,
                libpolkit-gobject-1-dev,
                libsystemd-dev [linux-any],
                meson,
                xauth <!nocheck>,
                xsltproc,
                xvfb <!nocheck>
-Standards-Version: 4.1.2
-Homepage: https://help.gnome.org/users/gnome-packagekit/stable/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 
 Package: gnome-packagekit
 Architecture: any
 Depends: gnome-packagekit-data (>= ${source:Version}),
-         packagekit (>= 1.0.4),
+         packagekit,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: software-properties-gtk
-Replaces: gnome-packagekit-session (<< 3.16.0),
-          gnome-software-manager (<< 3.6.0-2)
-Breaks: gnome-packagekit-session (<< 3.16.0),
-        gnome-software-manager (<< 3.6.0-2),
+Replaces: gnome-software-manager (<< 3.6.0-2)
+Breaks: gnome-software-manager (<< 3.6.0-2),
         update-notifier (<< 3.24)
 Provides: update-notifier
 Description: Graphical distribution neutral package manager for GNOME

=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,12 @@
 	dh_missing --fail-missing
 
 override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	xvfb-run dh_auto_test
+endif
 
 override_dh_installdocs:
 	dh_installdocs
 	mkdir -p debian/gnome-packagekit/usr/share/doc/gnome-packagekit
-	appstream-util appdata-to-news $(CURDIR)/*/data/appdata/org.gnome.Packages.appdata.xml \
-	> debian/gnome-packagekit/usr/share/doc/gnome-packagekit/NEWS
+	appstreamcli metainfo-to-news $(CURDIR)/*/data/appdata/org.gnome.Packages.appdata.xml \
+		$(CURDIR)/debian/gnome-packagekit/usr/share/doc/gnome-packagekit/NEWS

=== debian/watch ===
version=4
https://ftp.gnome.org/pub/gnome/sources/gnome-packagekit/([\d\.]+[02468])/gnome-packagekit-([\d\.]+)\.tar\.xz

## gnome-packagekit 43.0

=== debian/changelog ===
gnome-packagekit (43.0-3) unstable; urgency=medium

  * Add register-missing-state-enums.patch (Closes: #1074666)

 -- Matthias Klumpp <mak@debian.org>  Mon, 14 Apr 2025 22:48:20 +0200

gnome-packagekit (43.0-2) unstable; urgency=medium

  * Add deepin-test-fix.patch
    - Fix build with the new desktop enum value added to
      PackageKit for Deepin (Closes: #1051159)
  * Adjust build dependency: libfontconfig1-dev -> libfontconfig-dev

 -- Matthias Klumpp <mak@debian.org>  Mon, 09 Oct 2023 22:48:22 +0200

gnome-packagekit (43.0-1) unstable; urgency=medium

  * New upstream version: 43.0
    - Many improvements to window sizing & scaling
    - The correct dialog boxes are now shown upon update completion,
      and are also only shown once (Closes: #821231)
    - Improvements to changelog rendering & display
  * Update d/watch for new GNOME versioning scheme
  * Drop all upstreamed patches
  * Refresh prefer-software-properties.patch

 -- Matthias Klumpp <mak@debian.org>  Mon, 14 Nov 2022 17:45:24 +0100

gnome-packagekit (3.32.0-5) unstable; urgency=medium

  * Refresh all patches
  * Update d/copyright

 -- Matthias Klumpp <mak@debian.org>  Wed, 28 Sep 2022 14:32:52 +0200

gnome-packagekit (3.32.0-4) unstable; urgency=medium

  * Split package updater into a separate package

 -- Matthias Klumpp <mak@debian.org>  Tue, 27 Sep 2022 19:46:58 +0200

=== debian/control ===
Source: gnome-packagekit
Section: gnome
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Vcs-Git: https://salsa.debian.org/pkgutopia-team/gnome-packagekit.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/gnome-packagekit
Homepage: https://help.gnome.org/users/gnome-packagekit/stable/
Build-Depends: appstream,
               debhelper-compat (= 13),
               docbook,
               docbook-utils,
               libcanberra-gtk3-dev,
               libfontconfig-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libnotify-dev,
               libpackagekit-glib2-dev,
               libpolkit-gobject-1-dev,
               libsystemd-dev [linux-any],
               meson,
               xauth <!nocheck>,
               xsltproc,
               xvfb <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: gnome-packagekit
Architecture: any
Depends: gnome-packagekit-common (>= ${source:Version}),
         packagekit,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-package-updater,
            software-properties-gtk
Description: Graphical distribution neutral package manager for GNOME
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains a GTK+ based application for package installation
 and removal, a simple repository editor and graphical PackageKit
 configuration tool and a viewer for package installation history.

Package: gnome-package-updater
Architecture: any
Depends: gnome-packagekit-common (>= ${source:Version}),
         packagekit,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: software-properties-gtk
Provides: update-notifier
Replaces: gnome-packagekit (<< 3.32.0-4)
Breaks: gnome-packagekit (<< 3.32.0-4),
        update-notifier (<< 3.24)
Description: Software package updater for GNOME
 GNOME Package Updater allows you to update packages on your system without
 rebooting. You can view details about each update and choose which updates
 to apply.
 .
 The updater utility uses PackageKit for package management abstraction.

Package: gnome-packagekit-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: gnome-packagekit (<< 3.32.0-4),
          gnome-packagekit-data (<< 3.32.0-4)
Breaks: gnome-packagekit (<< 3.32.0-4),
        gnome-packagekit-data (<< 3.32.0-4)
Description: Common data files for GNOME PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains common shared files for all
 GNOME PackageKit modules.

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,6 @@
 	# and we might want to have users use software-properties instead if it is available.
 	rm debian/tmp/usr/share/applications/gpk-prefs.desktop
 
-	# this .desktop file refers to a binary that is no longer built, and should probably also be removed upstream
-	rm debian/tmp/usr/share/applications/gpk-install-local-file.desktop
 	dh_install
 
 override_dh_missing:
@@ -35,5 +33,5 @@
 override_dh_installdocs:
 	dh_installdocs
 	mkdir -p debian/gnome-packagekit/usr/share/doc/gnome-packagekit
-	appstreamcli metainfo-to-news $(CURDIR)/*/data/appdata/org.gnome.Packages.appdata.xml \
+	appstreamcli metainfo-to-news $(CURDIR)/*/data/metainfo/org.gnome.Packages.metainfo.xml \
 		$(CURDIR)/debian/gnome-packagekit/usr/share/doc/gnome-packagekit/NEWS
